<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Apply to Drive</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div *ngIf="imageCrop">
    <div class="text-center" style="padding: 40px 15px 0 15px;">
      <!-- For registration, original aspect ratio, no round cropper -->
      <image-cropper [maintainAspectRatio]="true" [imageBase64]="profileImage" [cropperMinWidth]="300"
        [onlyScaleDown]="true" [roundCropper]="false" [canvasRotation]="canvasRotation" [transform]="transform"
        [hideResizeSquares]="true" format="jpeg" outputType="base64" (imageCropped)="imageCropped($event)"
        (imageLoaded)="imageLoaded()" (loadImageFailed)="loadImageFailed()">
      </image-cropper>
      <button ion-button color="ocean" (click)="saveCroppedImage()" class="pad-10">
        Save
      </button>
      <button ion-button color="medium" (click)="rotateRight()" class="pad-10">
        <ion-icon name="refresh" class="icon-big pad-10"></ion-icon> Rotate
      </button>
      <button ion-button color="danger" (click)="exitCropper()" class="pad-10">
        <ion-icon name="close" class="icon-big pad-10"></ion-icon> Cancel
      </button>
    </div>
  </div>

  <!-- First Time Applying Registration Photo -->
  <div *ngIf="role == 'User' && !imageCrop" class="text-center">
    <div *ngIf="user.phone_number != null && user.verified == 1 && 
    user.address != null && user.avatar != null" style="height:100%;width:100%;overflow:auto;" text-center padding>
      <h2 class="pad-10">Vehicle Registration Photo</h2>
      <p>Expired registration will not be accepted.</p>
      <!-- Take photo loads camera then cropper, cropper is just image rotation -->
      <button ion-button (click)="takePhoto()" color="primary" class="btn rounded">
        <ion-icon name="camera" class="icon-big"></ion-icon>Take Photo
      </button>
      <div>
        <img [src]="userProvider.getTrustUrl(profileImage)" *ngIf="profileImage" alt="registration" width="300" />
      </div>

      <button [disabled]="isDisabled" (click)="nextPage()" ion-button color="primary" position="bottom" id="button-float" class="btn rounded">Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
      </button>

    </div>
    <!-- User does not meet requirements to apply -->
    <div *ngIf="user.phone_number == null || user.address == null 
                || user.avatar == null && !imageCrop" text-center padding>
      <div class="text-center pad-10">
        <h2 ion-text-center class="text-theme">Before applying to drive</h2>
        <p> We're missing the following information that is required before you apply to drive:</p>
        <ion-list ion-text-center no-lines>
          <ion-item *ngIf="user.verified != 1">
            <ion-icon name="md-remove-circle"></ion-icon> Email Not Verified
          </ion-item>
          <ion-item *ngIf="user.phone_number == null">
            <ion-icon name="md-remove-circle"></ion-icon> Phone Number
          </ion-item>
          <ion-item *ngIf="user.address == null">
            <ion-icon name="md-remove-circle"></ion-icon> Address
          </ion-item>
          <ion-item *ngIf="user.avatar == null">
            <ion-icon name="md-remove-circle"></ion-icon> Profile Image
          </ion-item>
        </ion-list>
        <button (click)="goToProfile()" ion-button block color="primary" class="btn rounded">
          Profile
        </button>
      </div>
    </div>
  </div>

  <!-- Updating Registration Photo / Already approved driver -->
  <div *ngIf="role == 'Driver' && !imageCrop" text-center padding>
    <div class="text-center pad-10">
      <h2 class="pad-10">Vehicle Registration</h2>
      <p>Expired registration will not be accepted.</p>
      <img [src]="userProvider.getTrustUrl(clickedImagePath)" *ngIf="clickedImagePath" alt="registration" width="300" />
    </div>
    <!-- Take photo loads camera then cropper, cropper is just image rotation -->
    <button ion-button (click)="takePhoto()" color="primary" full class="btn rounded">
      <ion-icon name="camera" class="icon-big"></ion-icon>
      Take Photo
    </button>
    
    <button (click)="nextPage()" ion-button color="primary" position="bottom" id="button-float" class="btn rounded">Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
    </button>

  </div>
</ion-content>
